// html的font-size设为100px
;(function(designWidth, maxWidth) {
    var doc = document,
        win = window;
    var docEl = doc.documentElement;
    var tid;
    var rootItem,rootStyle;

    function refreshRem() {
        var width = docEl.getBoundingClientRect().width;
        if (!maxWidth) {
            maxWidth = 540;
        };
        if (width > maxWidth) {
            width = maxWidth;
        }
        //与淘宝做法不同，直接采用简单的rem换算方法1rem=100px
        var rem = width * 100 / designWidth;
        //兼容UC开始
        rootStyle="html{font-size:"+rem+'px !important}';
        rootItem = document.getElementById('rootsize') || document.createElement("style");
        if(!document.getElementById('rootsize')){
            document.getElementsByTagName("head")[0].appendChild(rootItem);
            rootItem.id='rootsize';
        }
        if(rootItem.styleSheet){
            rootItem.styleSheet.disabled||(rootItem.styleSheet.cssText=rootStyle)
        }else{
            try{rootItem.innerHTML=rootStyle}catch(f){rootItem.innerText=rootStyle}
        }
        //兼容UC结束
        docEl.style.fontSize = rem + "px";
    };
    refreshRem();

    win.addEventListener("resize", function() {
        clearTimeout(tid); //防止执行两次
        tid = setTimeout(refreshRem, 300);
    }, false);

    win.addEventListener("pageshow", function(e) {
        if (e.persisted) { // 浏览器后退的时候重新计算
            clearTimeout(tid);
            tid = setTimeout(refreshRem, 300);
        }
    }, false);

    if (doc.readyState === "complete") {
        doc.body.style.fontSize = "16px";
    } else {
        doc.addEventListener("DOMContentLoaded", function(e) {
            doc.body.style.fontSize = "16px";
        }, false);
    }
})(640, 640);

// 判断上下滑动
var startX, startY;
document.addEventListener('touchstart',function (ev) {
    startX = ev.touches[0].pageX;
    startY = ev.touches[0].pageY;
}, false);

document.addEventListener('touchend',function (ev) {
    var endX, endY;
    endX = ev.changedTouches[0].pageX;
    endY = ev.changedTouches[0].pageY;
    var direction = GetSlideDirection(startX, startY, endX, endY);
    switch(direction) {
        case 0:
                //alert("无操作");
            break;
        case 1:
            // 向上
            $('.conta_icon').animate({'margin-right': '-0.5rem'},200);
            break;
        case 2:
            // 向下
            $('.conta_icon').animate({'margin-right': '0.2rem'},200);
            break;

        default:
    }
}, false);

function GetSlideDirection(startX, startY, endX, endY) {
    var dy = startY - endY;
    //var dx = endX - startX;
    var result = 0;
    if(dy>0) {//向上滑动
        result=1;
    }else if(dy<0){//向下滑动
        result=2;
    }
    else
    {
        result=0;
    }
    return result;
}

// 地图
function map(name){
    $("#allmap_in").val(name);
    var  map = new BMap.Map("allmap");
    var point = new BMap.Point(116.331398, 39.897445);
    map.centerAndZoom(point, 12);//默认初始化地图定位的中心经纬度

    map.enableScrollWheelZoom(); // 启用滚轮放大缩小
    map.enableInertialDragging(); // 启用地图惯性拖拽，默认禁用。
    map.enableContinuousZoom();
    var myCity = new BMap.LocalCity();
     
    myCity.get(myFun);
       function myFun(result) {
        var cityName = result.name;
        map.setCenter(cityName);//地图根据城市名称会重新自动定位
        mapajax(name,cityName);
        $(document).on("input propertychange",'#allmap_in',function(){
            var inp=$(this).val();
            $(".allmap_ol ol").html('');
            mapajax(inp,cityName);
        });
     }
}

// 地图名称定位
function setPlace(myValue){
    var  map = new BMap.Map("allmap");
    map.clearOverlays();    //清除地图上所有覆盖物
    function myFun(){
        var pp = local.getResults().getPoi(0).point;    //获取第一个智能搜索的结果
        map.centerAndZoom(pp, 12);
        map.addOverlay(new BMap.Marker(pp));    //添加标注
    }
    var local = new BMap.LocalSearch(map, { //智能搜索
      onSearchComplete: myFun
    });
    local.search(myValue);
}

// 地图请求
function mapajax(inp,cityName){
    $.ajax({
        type:"GET",   //  cityName可弄成全国、中国
        url:"https://api.map.baidu.com/place/v2/search?query="+inp+"&region="+cityName+"&page_size=20&page_num=0&output=json&ak=2wvU3XHG6EfGCTA9pQPfIGjOrrGaoUDf", //访问的链接
        dataType:"jsonp",  //数据格式设置为jsonp
        success:function(data){  //成功的回调函数
            var len=data.results.length;
            var ohtml='';
            var thvl='';
            // console.log(data.results[0].location);
            console.log(data.length)
            if(typeof(data.length)=="undefined")
            {
                if(len>0&&typeof(data.results[0].location.length)=="undefined")
                {
                    console.log(data)
                    for(var i=0;i<len;i++)
                    {
                        if($("#allmap_in").val()!='')
                        {
                            // console.log($("#allmap_in").val())
                            // console.log(data.results[i].city+data.results[i].area+data.results[i].name+data.results[i].address)
                            if($("#allmap_in").val()==data.results[i].city+data.results[i].area+data.results[i].name)
                            {
                                setPlace($("#allmap_in").val())
                                if(typeof(data.results[i].city)=="undefined")
                                {
                                    var city='';
                                }
                                if(typeof(data.results[i].city)!="undefined")
                                {
                                    var city=data.results[i].city;
                                }
                                if(typeof(data.results[i].area)=="undefined")
                                {
                                    var area='';
                                }
                                if(typeof(data.results[i].area)!="undefined")
                                {
                                    var area=data.results[i].area;
                                }
                                if(typeof(data.results[i].address)=="undefined")
                                {
                                    var address='';
                                }
                                if(typeof(data.results[i].address)!="undefined")
                                {
                                    var address=data.results[i].address;
                                }
                                ohtml='<li data-dz="'+city+area+data.results[i].name+'" class="on" data-lat="'+data.results[i].location.lat+'" data-lng="'+data.results[i].location.lng+'"><section class="allmap_oll"><cite>'+area+data.results[i].name+'</cite><address>'+address+'</address></section><section class="allmap_olr"><i class="iconfont icon-dagou1"></i></section><section class="clear"></section></li>';
								$("#lat").val(data.results[i].location.lat)
                                $("#lng").val(data.results[i].location.lng)
                                
                            }
                            else
                            {
                                if(typeof(data.results[i].city)=="undefined")
                                {
                                    var city='';
                                }
                                if(typeof(data.results[i].city)!="undefined")
                                {
                                    var city=data.results[i].city;
                                }
                                if(typeof(data.results[i].area)=="undefined")
                                {
                                    var area='';
                                }
                                if(typeof(data.results[i].area)!="undefined")
                                {
                                    var area=data.results[i].area;
                                }
                                if(typeof(data.results[i].address)=="undefined")
                                {
                                    var address='';
                                }
                                if(typeof(data.results[i].address)!="undefined")
                                {
                                    var address=data.results[i].address;
                                }
                                ohtml+='<li data-dz="'+city+area+data.results[i].name+'" data-lat="'+data.results[i].location.lat+'" data-lng="'+data.results[i].location.lng+'"><section class="allmap_oll"><cite>'+city+area+data.results[i].name+'</cite><address>'+address+'</address></section><section class="allmap_olr"><i class="iconfont icon-dagou1"></i></section><section class="clear"></section></li>';
                                var thvl=city+area+data.results[i].name;
                            }
                        }
                        else
                        {
                            if(typeof(data.results[i].city)=="undefined")
                            {
                                var city='';
                            }
                            if(typeof(data.results[i].city)!="undefined")
                            {
                                var city=data.results[i].city;
                            }
                            if(typeof(data.results[i].area)=="undefined")
                            {
                                var area='';
                            }
                            if(typeof(data.results[i].area)!="undefined")
                            {
                                var area=data.results[i].area;
                            }
                            if(typeof(data.results[i].address)=="undefined")
                            {
                                var address='';
                            }
                            if(typeof(data.results[i].address)!="undefined")
                            {
                                var address=data.results[i].address;
                            }
                            ohtml+='<li data-dz="'+city+area+data.results[i].name+'" data-lat="'+data.results[i].location.lat+'" data-lng="'+data.results[i].location.lng+'"><section class="allmap_oll"><cite>'+city+area+data.results[i].name+'</cite><address>'+address+'</address></section><section class="allmap_olr"><i class="iconfont icon-dagou1"></i></section><section class="clear"></section></li>';
                        }
                    }
                    $(".allmap_ol ol").html(ohtml);
                    if(thvl!='')
                    {
                        $(".allmap_ol ol").prepend($(".allmap_ol ol:contains('" + thvl + "')"));
                    }
                }
            }
        },
        error: function (e) {
            // alert("error");
        }
  });
}

// 数组排序  如果要倒序排列，只需把newkey这个数组中的每一项进行颠倒即可，即var newkey = Object.keys(obj).sort().reverse();
function objKeySort(obj) {//排序的函数
    var newkey = Object.keys(obj).sort();
    //先用Object内置类的keys方法获取要排序对象的属性名，再利用Array原型上的sort方法对获取的属性名进行排序，newkey是一个数组
    var newObj = {};//创建一个新的对象，用于存放排好序的键值对
    var sz='';
    for (var i = 0; i < newkey.length; i++) {//遍历newkey数组
        newObj[newkey[i]] = obj[newkey[i]];//向新创建的对象中按照排好的顺序依次增加键值对
    }
    Object.keys(newObj).forEach(function(key){
        sz+='&'+key+'='+newObj[key]
    });
    return sz.substr(1);//返回排好序的新对象
}

// 共用判断
function judgement(that,code,msg,types){
    if(code==401)
    {
            that.$Toast({
                message: '请先登录',
                duration: 1000
            });
            setTimeout(() => {
                that.$store.commit(types.LOGOUT)
                that.$router.push("/login");
            },1500)
            return false
    }
    if(code==403)
    {
            that.$Toast({
                message: '账号已禁用或审核中',
                duration: 1000
            });
            setTimeout(() => {
                that.$store.commit(types.LOGOUT)
                that.$router.push("/login");
            },1500)
            return false
    }
    if(code==400)
    {
            that.$Toast({
                message: msg,
                duration: 1000
            });
            return false
    }
    if(code==408)
    {
            that.$router.push("/contact");
            return false
    }
    if(code==406)
    {
            that.$Toast({
                message: "超过活动库存",
                duration: 1000
            });
            return false
    }
    if(code==407)
    {
            that.$Toast({
                message: "超过限制数量",
                duration: 1000
            });
            return false
    }
}

// 时分
function ptime(val){
    var theTime = parseInt(Math.abs(val));// 秒
    var middle = 0;// 分
    var hour = 0;// 小时

    if (theTime > 60) {
        middle = parseInt(theTime / 60);
        theTime = parseInt(theTime % 60);
        if (middle > 60) {
        hour = parseInt(middle / 60);
        middle = parseInt(middle % 60);
        }
    }
    //秒数
    var result = "" + parseInt(theTime) + "";  
    if (middle > 0) {
    //分数
        result = "" + parseInt(middle) + ":" + result;
    }
    //时数
    if (hour > 0) {
        result = "" + parseInt(hour) + ":" + result;
    }
    return result;
}

if (/Android/gi.test(navigator.userAgent)) {
    const innerHeight = window.innerHeight;
    window.addEventListener('resize', () => {
      const newInnerHeight = window.innerHeight;
      if (innerHeight > newInnerHeight) {
        // 键盘弹出事件处理
        $(".gcaidjse_ls .gcaidjse_lsb").css("height","30%");
        $(".gcaidjl_zc,.gcaidjr_zh").css("position","relative");
        $(".gcaidjse_ls .gcaidjse_lsy").show();
      } else {
        // 键盘收起事件处理
        setTimeout(function(){
            $(".gcaidjse_ls .gcaidjse_lsb").css("height","90%");
            $(".gcaidjl_zc,.gcaidjr_zh").css("position","absolute");
            $(".gcaidjse_ls .gcaidjse_lsy").hide();
        }, 500)
      }
    });
  } else {
    window.addEventListener('focusin', () => {
      // 键盘弹出事件处理
       $(".gcaidjse_ls .gcaidjse_lsb").css("height","30%");
        $(".gcaidjl_zc").css("position","relative");
        $(".gcaidjse_ls .gcaidjse_lsy").show();
    });
    window.addEventListener('focusout', () => {
      // 键盘收起事件处理
      setTimeout(function(){
            $(".gcaidjse_ls .gcaidjse_lsb").css("height","90%");
            $(".gcaidjl_zc").css("position","absolute");
            $(".gcaidjse_ls .gcaidjse_lsy").hide();
        }, 100)
    });
  }

$().ready(function(){
    // 兼容readonly
    $(document).on("focus","input[readonly]",function(){
        $(this).trigger('blur');
    });
    
    // 刷新当前页
    $(document).on("click touchstart",".conta_nav_r",function(){
        location.reload();
    });

    // 首页和商品详情选中规格
    $(document).on("click touchstart",'.gcaidjh_gex address ruby,.gcaidjd_gea ruby',function(){
        $('.gcaidjh_gex address ruby,.gcaidjd_gea ruby').removeClass("on");
        $("#attr_id").val($(this).attr("data-id"));
        if($(this).attr("data-jiage")=='时价' || $(this).attr("data-jiage")=='***')
        {
            $(".gcaidjd_djg").html("￥"+$(this).attr("data-jiage")+"元/"+$(this).attr("data-guige"));
        }
        else
        {
            if($(this).attr("data-yuanjia")==0)
            {
                $(".gcaidjd_djg").html("￥"+$(this).attr("data-jiage")+"元/"+$(this).attr("data-guige"));
            }
            else
            {
                $(".gcaidjd_djg").html("￥"+$(this).attr("data-jiage")+"元/"+$(this).attr("data-guige")+"<del>￥"+$(this).attr("data-yuanjia")+"</del>");
            }
        }
        $(this).addClass("on");
    });

    // 地图点击
    $(document).on("click touchstart",".allmap_ol ol li",function(){
        $(".allmap_ol ol li").removeClass("on");
        $(this).addClass("on");
        $("#allmap_in").val($(this).attr("data-dz"));
        $("#lat").val($(this).attr("data-lat"));
        $("#lng").val($(this).attr("data-lng"));
        setPlace($(this).attr("data-dz"))
    });
    $(document).on("focus","#allmap_in",function(){
        $(".gcaidjm_tii").show();
    });
    $(document).on("click touchstart",".gcaidjm_tii",function(){
        $("#allmap_in").val('');
        map($("#allmap_in").val());
        $(".allmap_ol ol").html('');
        $("#allmap_in").focus();
        $(".gcaidjm_tii").hide();
    });

    // 分类显示隐藏
    $(document).on("touchstart",".gcaidjfi_yfr",function(){
        if($(this).hasClass("on"))
        {
            $(this).removeClass("on");   
            $(".gcaidjfi_yfo,.gcaidjfi_yfl a").show();
            $(".gcaidj_ba2,.gcaidjfi_qbf,.gcaidjfi_yfl dfn").hide();
        }
        else
        {
            $(this).addClass("on");
            $(".gcaidjfi_yfo,.gcaidjfi_yfl a").hide();
            $(".gcaidj_ba2,.gcaidjfi_qbf,.gcaidjfi_yfl dfn").show();
        }
    });
    $(document).on("click touchstart",".gcaidj_ba2",function(){
        $(".gcaidjfi_yfo,.gcaidjfi_yfl a").show();
        $(".gcaidj_ba2,.gcaidjfi_qbf,.gcaidjfi_yfl dfn").hide();
    });

    // 注册地址input选择
    $(document).on("click touchstart",".gcaidjad_xz ol li",function(){
        $("#gcaidjad_xz").val($(this).attr("data-id"));
        $(".gcaidjad_xz ol li").removeClass("on");
        $(this).addClass("on");
    });

    // 搜索显示隐藏
    $(document).on("focus",".gcaidjse_ti input",function(){
        $(".gcaidjse_ls").show();
        
    });
    $(document).on("click touchstart",".gcaidjse_ti input",function(){
        $(".gcaidjse_ls").show();
    });
    // 阻止点击事件
    $(document).on("click touchstart",".gcaidjse_lsl aside dfn,.gcaidjse_lsl h3 i",function(event){
        event.stopPropagation();
    });

    // 开具发票选择单位
    $(document).on("click touchstart",".gcaidji_xz address",function(){
        $(".gcaidji_xz address").removeClass("on");
        $(this).addClass("on");
        $(".gcaidji_xz #gcaidji_id").val($(this).attr("data-id"));
    });

    // 清空时间
    $(document).on("click touchstart",".lcalendar_qk",function(){
        $("#start_date").val('');
        $(".gearDate").remove();
    });

    // 关闭小键盘 
    $(document).on("click touchstart",".cancel-btn",function(){
        $(".numbers-wrap").removeClass("active");
        $(".numbers-txte").text('');
        $(".numbers-txts").text('');
        // $(".numbers-wrap").attr({"data-item_id":'',"data-attr_id":'',"data-typew":'',"data-index":'',"data-indexw":''});
    });
    // 输入数字
    $(document).on("click",".numbers-btn-group .sum-btn-value",function(){
        var _this = $(this);
        var numbers_wrap = _this.parents(".numbers-wrap");
        var numbers_txt = numbers_wrap.find(".numbers-txts");
        var old_num = $.trim(numbers_txt.text());
        var len = old_num.length;
        var nr = (old_num.split('.')).length-1;
        $(".numbers-txte").text("");
        if(len==0)
        {
            _this.parents(".numbers-wrap").find(".wrap_xsd").attr("value","");
        }
        else
        {
            _this.parents(".numbers-wrap").find(".wrap_xsd").attr("value",".");
        }
        if(nr==1)
        {
            _this.parents(".numbers-wrap").find(".wrap_xsd").attr("value","");
        }
        if(len<=3)
        {
            var cur_num = _this.attr("value");
            var new_old = old_num + cur_num;
            numbers_txt.text(new_old);
            var old_num1 = $.trim($(this).parents(".numbers-wrap").find(".numbers-txts").text());
            var len1 = old_num1.length;
            if(len1>3)
            {
                if(parseFloat(old_num1)>999||!/^\d+(\.\d{1,2})?$/.test(old_num1))
                {
                    var new_old1 = old_num1.substring(0,len1 - 1);
                    $(this).parents(".numbers-wrap").find(".numbers-txts").text(new_old1);
                }
            }
        }
    });
    // 删除数字
    $(document).on("click touchstart",".clear-text",function(){
        var numbers_txt = $(this).parents(".numbers-wrap").find(".numbers-txts");
        var old_num = numbers_txt.text();
        var len = old_num.length;
        var new_old = old_num.substring(0, len > 0 ? len - 1 : '');
        numbers_txt.text(new_old);
    });
    // 清空
    $(document).on("click",".modifymi_qk",function(){
        $(".numbers-txte").text('');
        $(".numbers-txts").text('');
    });
});
